<bugID>613911<Summary>Firefox button cannot be moved via customization palette</Summary><Description>i want the button on the left of tab strip instead of the right. tried to do this via customization and ran into two problems:

1. can't drag the button to the right of the tab strip - no drop indicator appears

2. can't actually drop the button anywhere, even when a drop indicator is visible.
drop and nothing happens.

i did see this error, but it occurs even when i don't do anything except open and close the palette, so maybe not related:

Error: uncaught exception: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIObserverService.removeObserver]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://browser/content/search/search.xml ::  :: line 91"  data: no]</Description></bugID>